{"format":"opendoc-document","version":1,"url":"https://docs.storm.tg/developers/operations/getvault","title":"Get a vault","description":"GET /api/vaults/{vault}: Get a vault","kind":"api-operation","locale":"en","inLanguage":"en","lastModified":"2026-10-09T14:26:32+03:00","revision":"d36475e7b456c737fae6933fa27b7e1bc2687f2c19291b05725ab2c4e8f79d7a","section":{"title":"For Developers","url":"https://docs.storm.tg/developers"},"representations":{"html":"https://docs.storm.tg/developers/operations/getvault","markdown":"https://docs.storm.tg/developers/operations/getvault.md","json":"https://docs.storm.tg/developers/operations/getvault.json"},"translations":{"en":"https://docs.storm.tg/developers/operations/getvault"},"operation":{"id":"GetVault","method":"GET","path":"/api/vaults/{vault}","summary":"Get a vault","tags":["Vaults and liquidity"],"deprecated":false,"parameters":[{"name":"vault","location":"path","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]},"type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660"}],"bodies":[],"responses":[{"status":"200","description":"Response","mediaType":"application/json","properties":[{"name":"address","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"rate","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"lockedBalance","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"freeBalance","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"predictedRoi","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"apr","type":"object","required":true,"example":"{\n  \"week\": \"0\",\n  \"month\": \"0\",\n  \"year\": \"0\"\n}","schema":{"type":"object","types":["object"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"week","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"month","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"year","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}}],"variants":[]}},{"name":"config","type":"object","required":true,"example":"{\n  \"asset\": {\n    \"name\": \"NOT\",\n    \"decimals\": 9,\n    \"assetId\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\"\n  },\n  \"vaultAddress\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"quoteAssetId\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"lpJettonMaster\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\"\n}","schema":{"type":"object","types":["object"],"title":"LiquiditySourceResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"asset","type":"object","required":true,"example":"{\n  \"name\": \"NOT\",\n  \"decimals\": 9,\n  \"assetId\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\"\n}","schema":{"type":"object","types":["object"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"name","type":"string","required":true,"example":"NOT","schema":{"type":"string","types":["string"],"example":"NOT","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"decimals","type":"number","required":true,"example":"9","schema":{"type":"number","types":["number"],"example":9,"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"assetId","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"vaultAddress","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"quoteAssetId","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"lpJettonMaster","type":"string","required":false,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}}],"schema":{"type":"object","types":["object"],"reference":"#/components/schemas/Data.VaultResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"address","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"rate","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"lockedBalance","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"freeBalance","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"predictedRoi","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"apr","type":"object","required":true,"example":"{\n  \"week\": \"0\",\n  \"month\": \"0\",\n  \"year\": \"0\"\n}","schema":{"type":"object","types":["object"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"week","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"month","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"year","type":"string · int64","required":true,"example":"0","schema":{"type":"string · int64","types":["string"],"example":"0","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}}],"variants":[]}},{"name":"config","type":"object","required":true,"example":"{\n  \"asset\": {\n    \"name\": \"NOT\",\n    \"decimals\": 9,\n    \"assetId\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\"\n  },\n  \"vaultAddress\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"quoteAssetId\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"lpJettonMaster\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\"\n}","schema":{"type":"object","types":["object"],"title":"LiquiditySourceResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"asset","type":"object","required":true,"example":"{\n  \"name\": \"NOT\",\n  \"decimals\": 9,\n  \"assetId\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\"\n}","schema":{"type":"object","types":["object"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"name","type":"string","required":true,"example":"NOT","schema":{"type":"string","types":["string"],"example":"NOT","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"decimals","type":"number","required":true,"example":"9","schema":{"type":"number","types":["number"],"example":9,"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"assetId","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}},{"name":"vaultAddress","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"quoteAssetId","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"lpJettonMaster","type":"string","required":false,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]}}],"variants":[]},"example":"{\n  \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"rate\": \"0\",\n  \"lockedBalance\": \"0\",\n  \"freeBalance\": \"0\",\n  \"predictedRoi\": \"0\",\n  \"apr\": {\n    \"week\": \"0\",\n    \"month\": \"0\",\n    \"year\": \"0\"\n  },\n  \"config\": {\n    \"asset\": {\n      \"name\": \"NOT\",\n      \"decimals\": 9,\n      \"assetId\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\"\n    },\n    \"vaultAddress\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n    \"quoteAssetId\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n    \"lpJettonMaster\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\"\n  }\n}","headers":[]}],"security":[],"codeSamples":[{"label":"cURL","language":"bash","source":"curl --request GET 'https://api.storm.tg/api/vaults/{vault}' \\\n  --header 'Accept: application/json'"},{"label":"JavaScript","language":"javascript","source":"const response = await fetch(\"https://api.storm.tg/api/vaults/{vault}\", {\n  method: \"GET\",\n  headers: {\n    \"Accept\": \"application/json\"\n  },\n});\nconsole.log(response.status, await response.text());"},{"label":"Python","language":"python","source":"import requests\n\nresponse = requests.request(\n    \"GET\",\n    \"https://api.storm.tg/api/vaults/{vault}\",\n    headers={\"Accept\":\"application/json\"},\n    timeout=30,\n)\nprint(response.status_code, response.text)"}]},"breadcrumbs":[{"title":"⚡ About Storm Trade","url":"https://docs.storm.tg"},{"title":"For Developers","url":"https://docs.storm.tg/developers"},{"title":"Get a vault","url":"https://docs.storm.tg/developers/operations/getvault"}],"headings":[{"depth":2,"id":"parameters","title":"Parameters"},{"depth":2,"id":"examples","title":"Examples"},{"depth":2,"id":"responses","title":"Responses"}],"markdown":"# Get a vault\n\n`GET /api/vaults/{vault}`\n\n## Authorization\n\n\n\n## Parameters\n\n- path: vault (string; required). \n\nType: string\n\nExample: \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\"\n\n## Example · cURL\n\n```bash\ncurl --request GET 'https://api.storm.tg/api/vaults/{vault}' \\\n  --header 'Accept: application/json'\n```\n\n## Example · JavaScript\n\n```javascript\nconst response = await fetch(\"https://api.storm.tg/api/vaults/{vault}\", {\n  method: \"GET\",\n  headers: {\n    \"Accept\": \"application/json\"\n  },\n});\nconsole.log(response.status, await response.text());\n```\n\n## Example · Python\n\n```python\nimport requests\n\nresponse = requests.request(\n    \"GET\",\n    \"https://api.storm.tg/api/vaults/{vault}\",\n    headers={\"Accept\":\"application/json\"},\n    timeout=30,\n)\nprint(response.status_code, response.text)\n```\n\n## Response 200 · Data.VaultResponse\n\n**200** application/json — Response\n\nSchema: Data.VaultResponse\n\nType: object\n\nRequired fields: address, rate, lockedBalance, freeBalance, predictedRoi, apr, config\n\nRequired field types: address (string; required), rate (string · int64; required), lockedBalance (string · int64; required), freeBalance (string · int64; required), predictedRoi (string · int64; required), apr (object; required), config (object; required)\n\n- address (string; required)\n\naddress example: 0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\n\naddress.Type: string\n\n- rate (string · int64; required)\n\nrate example: 0\n\nrate.Type: string · int64\n\nrate.format: int64\n\nrate.pattern: ^(0|-?[1-9][0-9]*)$\n\n- lockedBalance (string · int64; required)\n\nlockedBalance example: 0\n\nlockedBalance.Type: string · int64\n\nlockedBalance.format: int64\n\nlockedBalance.pattern: ^(0|-?[1-9][0-9]*)$\n\n- freeBalance (string · int64; required)\n\nfreeBalance example: 0\n\nfreeBalance.Type: string · int64\n\nfreeBalance.format: int64\n\nfreeBalance.pattern: ^(0|-?[1-9][0-9]*)$\n\n- predictedRoi (string · int64; required)\n\npredictedRoi example: 0\n\npredictedRoi.Type: string · int64\n\npredictedRoi.format: int64\n\npredictedRoi.pattern: ^(0|-?[1-9][0-9]*)$\n\n- apr (object; required)\n\napr example: {\n  \"week\": \"0\",\n  \"month\": \"0\",\n  \"year\": \"0\"\n}\n\napr.Type: object\n\napr.Required fields: week, month, year\n\napr.Required field types: week (string · int64; required), month (string · int64; required), year (string · int64; required)\n\n- apr.week (string · int64; required)\n\napr.week example: 0\n\napr.week.Type: string · int64\n\napr.week.format: int64\n\napr.week.pattern: ^(0|-?[1-9][0-9]*)$\n\n- apr.month (string · int64; required)\n\napr.month example: 0\n\napr.month.Type: string · int64\n\napr.month.format: int64\n\napr.month.pattern: ^(0|-?[1-9][0-9]*)$\n\n- apr.year (string · int64; required)\n\napr.year example: 0\n\napr.year.Type: string · int64\n\napr.year.format: int64\n\napr.year.pattern: ^(0|-?[1-9][0-9]*)$\n\n- config (object; required)\n\nconfig example: {\n  \"asset\": {\n    \"name\": \"NOT\",\n    \"decimals\": 9,\n    \"assetId\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\"\n  },\n  \"vaultAddress\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"quoteAssetId\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"lpJettonMaster\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\"\n}\n\nconfig.Type: object\n\nconfig.Required fields: asset, vaultAddress, quoteAssetId\n\nconfig.Required field types: asset (object; required), vaultAddress (string; required), quoteAssetId (string; required)\n\n- config.asset (object; required)\n\nconfig.asset example: {\n  \"name\": \"NOT\",\n  \"decimals\": 9,\n  \"assetId\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\"\n}\n\nconfig.asset.Type: object\n\nconfig.asset.Required fields: name, decimals, assetId\n\nconfig.asset.Required field types: name (string; required), decimals (number; required), assetId (string; required)\n\n- config.asset.name (string; required)\n\nconfig.asset.name example: NOT\n\nconfig.asset.name.Type: string\n\n- config.asset.decimals (number; required)\n\nconfig.asset.decimals example: 9\n\nconfig.asset.decimals.Type: number\n\n- config.asset.assetId (string; required)\n\nconfig.asset.assetId example: 0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\n\nconfig.asset.assetId.Type: string\n\n- config.vaultAddress (string; required)\n\nconfig.vaultAddress example: 0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\n\nconfig.vaultAddress.Type: string\n\n- config.quoteAssetId (string; required)\n\nconfig.quoteAssetId example: 0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\n\nconfig.quoteAssetId.Type: string\n\n- config.lpJettonMaster (string; optional)\n\nconfig.lpJettonMaster example: 0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\n\nconfig.lpJettonMaster.Type: string\n\nExample\n\n\n\n```json\n{\n  \"address\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n  \"rate\": \"0\",\n  \"lockedBalance\": \"0\",\n  \"freeBalance\": \"0\",\n  \"predictedRoi\": \"0\",\n  \"apr\": {\n    \"week\": \"0\",\n    \"month\": \"0\",\n    \"year\": \"0\"\n  },\n  \"config\": {\n    \"asset\": {\n      \"name\": \"NOT\",\n      \"decimals\": 9,\n      \"assetId\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\"\n    },\n    \"vaultAddress\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n    \"quoteAssetId\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n    \"lpJettonMaster\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\"\n  }\n}\n```","text":"Get a vault GET /api/vaults/{vault} Vaults and liquidity vault string 200 Response address string rate string · int64 lockedBalance string · int64 freeBalance string · int64 predictedRoi string · int64 apr object config object","api":{"title":"Storm API reference","version":"3.0","documentation":"https://docs.storm.tg/developers/overview","playgroundServer":"https://api.storm.tg"}}